/* $Id: fors_pfits.h,v 1.11 2010/09/14 07:49:30 cizzo Exp $
 *
 * This file is part of the FORS Library
 * Copyright (C) 2002-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

/*
 * $Author: cizzo $
 * $Date: 2010/09/14 07:49:30 $
 * $Revision: 1.11 $
 * $Name: fors-4_8_6 $
 */

#ifndef FORS_PFITS_H
#define FORS_PFITS_H

#include <cpl.h>

CPL_BEGIN_DECLS

extern const char *const FORS_PFITS_INSTRUME;
extern const char *const FORS_PFITS_FILTER_NAME;
extern const char *const FORS_PFITS_EXPOSURE_TIME;
extern const char *const FORS_PFITS_AIRMASS_START;
extern const char *const FORS_PFITS_AIRMASS_END;
extern const char *const FORS_PFITS_OUTPUTS;
extern const char *const FORS_PFITS_CONAD[4];
extern const char *const FORS_PFITS_RON[4];
extern const char *const FORS_PFITS_OVERSCANX;
extern const char *const FORS_PFITS_OVERSCANY;
extern const char *const FORS_PFITS_PRESCANX;
extern const char *const FORS_PFITS_PRESCANY;
extern const char *const FORS_PFITS_CRPIX1;
extern const char *const FORS_PFITS_CRPIX2;
extern const char *const FORS_PFITS_DET_NX;
extern const char *const FORS_PFITS_DET_NY;
extern const char *const FORS_PFITS_BINX;
extern const char *const FORS_PFITS_BINY;
extern const char *const FORS_PFITS_PIXSCALE;
extern const char *const FORS_PFITS_READ_CLOCK;
extern const char *const FORS_PFITS_CHIP_ID;

CPL_END_DECLS

#endif
